﻿using Alternet.Scripter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ScripterWinFormsHost
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ScriptRun scriptRun;

        public MainWindow()
        {
            InitializeComponent();

            scriptRun = new ScriptRun();

            scriptRun.ScriptSource.FromScriptFile("Scripts/Script.cs");
            scriptRun.ScriptSource.WithDefaultReferences(ScriptTechnologyEnvironment.WindowsForms);
            scriptRun.AssemblyKind = ScriptAssemblyKind.DynamicLibrary;

            if (!scriptRun.Compiled)
            {
                if (!scriptRun.Compile())
                {
                    MessageBox.Show(string.Join("\r\n", scriptRun.ScriptHost.CompilerErrors.Select(x => x.ToString()).ToArray()));
                    return;
                }
            }

            winFormsHost.Child = (System.Windows.Forms.Control)scriptRun.RunMethod("MyClass.CreateControl");
        }
    }
}
